%define majver %(echo %version | cut -d. -f1-2)
Name:          MuseScore
Version:       3.6.2
Release:       2mamba
Summary:       Free music composition & notation software 
Group:         Graphical Desktop/Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.musescore.org
Source:        https://github.com/musescore/MuseScore.git/v%{version}/MuseScore-%{version}.tar.bz2
#Source:        https://ftp.osuosl.org/pub/musescore/releases/MuseScore-%{version}/MuseScore-%{version}.zip
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libQt5WebKit-devel
BuildRequires: libalsa-devel
BuildRequires: libgcc
BuildRequires: libogg-devel
BuildRequires: libportaudio-devel
BuildRequires: libportmidi-devel
BuildRequires: libpulseaudio-devel
BuildRequires: libqt5-devel
BuildRequires: libsndfile-devel
BuildRequires: libstdc++6-devel
BuildRequires: libvorbis-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
Requires:      soundfont-TimGM
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
MuseScore is a free cross platform WYSIWYG music notation program, licenced under GNU GPL.
Some highlights: 

    *  WYSIWYG, notes are entered on a "virtual note sheet"
    * Unlimited number of staves
    * Up to four voices per staff
    * Easy and fast note entry with mouse, keyboard or MIDI
    * Integrated sequencer and FluidSynth software synthesizer
    * Import and export of MusicXML and Standard MIDI Files (SMF)
    * Platform independent code, binaries available for Windows, Mac and Linux
    * Available in 20 languages
    * GNU GPL licenced

%package -n soundfont-TimGM
Group:         System/Multimedia
Summary:       A soundfont collection for MIDI synthetizers
Provides:      soundfont-2rock9
Obsoletes:     soundfont-2rock9
Provides:      soundfont

%description -n soundfont-TimGM
A soundfont collection for MIDI synthetizers.

%debug_package

%prep
%setup -q

%build
%cmake -d build \
   -DUSE_SYSTEM_FREETYPE=ON \
   -DBUILD_WEBENGINE=OFF

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

install -d -m0755 %{buildroot}%{_datadir}/soundfonts
mv %{buildroot}%{_datadir}/mscore-%{majver}/sound/MuseScore_General.sf3 \
   %{buildroot}%{_datadir}/soundfonts/MuseScore_General.sf3
ln -s ../../soundfonts/MuseScore_General.sf3 %{buildroot}%{_datadir}/mscore-%{majver}/sound/MuseScore_General.sf3
ln -s MuseScore_General.sf3 %{buildroot}%{_datadir}/soundfonts/default.sf3

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/mscore
%{_bindir}/musescore
%{_datadir}/metainfo/org.musescore.MuseScore.appdata.xml
%{_datadir}/applications/mscore.desktop
%dir %{_datadir}/mscore-%{majver}
%dir %{_datadir}/mscore-%{majver}/demos
%{_datadir}/mscore-%{majver}/demos/*
%dir %{_datadir}/mscore-%{majver}/instruments
%{_datadir}/mscore-%{majver}/instruments/*
%dir %{_datadir}/mscore-%{majver}/locale
%{_datadir}/mscore-%{majver}/locale/*
%dir %{_datadir}/mscore-%{majver}/plugins
%{_datadir}/mscore-%{majver}/plugins/*
%dir %{_datadir}/mscore-%{majver}/sound
%{_datadir}/mscore-%{majver}/sound/*
%dir %{_datadir}/mscore-%{majver}/styles
%{_datadir}/mscore-%{majver}/styles/*
%dir %{_datadir}/mscore-%{majver}/templates
%{_datadir}/mscore-%{majver}/templates/*
%dir %{_datadir}/mscore-%{majver}/tours
%{_datadir}/mscore-%{majver}/tours/*
%dir %{_datadir}/mscore-%{majver}/wallpaper
%{_datadir}/mscore-%{majver}/wallpaper/*
%dir %{_datadir}/mscore-%{majver}/workspaces
%{_datadir}/mscore-%{majver}/workspaces/*
%{_datadir}/icons/hicolor/*/apps/mscore.png
%{_datadir}/icons/hicolor/48x48/mimetypes/application-*.png
%{_datadir}/icons/hicolor/scalable/apps/mscore.svg
%{_datadir}/icons/hicolor/scalable/mimetypes/application-*.svg
%{_datadir}/mime/packages/musescore.xml
%{_mandir}/man1/mscore.1*
%{_mandir}/man1/musescore.1*
#%{_datadir}/pixmaps/mscore.png
#%{_datadir}/pixmaps/mscore.xpm

%files -n soundfont-TimGM
%defattr(-,root,root)
%{_datadir}/soundfonts/default.sf3
%{_datadir}/soundfonts/MuseScore_General.sf3

%changelog
* Sat Mar 20 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 3.6.2-2mamba
- remove Qt5 WebEngine conflicting files

* Mon Feb 15 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 3.6.2-1mamba
- update to 3.6.2

* Mon Dec 03 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3.2-1mamba
- update to 2.3.2

* Fri Mar 08 2013 Automatic Build System <autodist@mambasoft.it> 1.3-1mamba
- automatic version update by autodist

* Wed Apr 11 2012 Automatic Build System <autodist@mambasoft.it> 1.2-1mamba
- update to 1.2

* Mon Mar 07 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0-1mamba
- update to 1.0

* Fri Nov 20 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.5-1mamba
- package created by autospec
